The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Default Recon Policies

Prev Next

This URL gets default recon policies at domain level.

Resource URL

GET /domain/<domain_id>/defaultreconpolicies

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain Id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

ReconPolicyDescList

Array of object that contains the details of the fields

Array

Details of Object in ReconPolicyDesc:

Field Name

Description

Data Type

policyName

Policy name

String

policyId

Policy Id

String

Example

Request

GET https://<NSM_IP>/sdkapi/domain/101/defaultreconpolicies

Response

{
       " reconPolicyList ":
       [
       		{
               		"policyName": " Default Reconnaissance Policy ",
               		"policyId": "0"
           	},
           	{
              		"policyName": " NSAT 7.1 Reconnaissance Policy ",
               		"policyId": "301"
           	}

       	]
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain